Bug 106369 - Android: Add Bullets / Numbering
Summary: Android: Add Bullets / Numbering
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Android Viewer (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium enhancement
Assignee: Atef Hares
URL:
Whiteboard: target:5.4.0
Keywords:
Depends on:
Blocks: mabAndroid
  Show dependency treegraph
 
Reported: 2017-03-06 20:03 UTC by Tomaz Vajngerl
Modified: 2017-05-28 05:27 UTC (History)
0 users

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tomaz Vajngerl 2017-03-06 20:03:55 UTC
Description:
It is not possible to add bullet points or numbering. 

This action should be available in the bottom toolbar. To trigger bullets on / off we need to send a UNO command ".uno:DefaultBullet" and for numbering ".uno:DefaultNumbering". 

Steps to Reproduce:
.

Actual Results:  
.

Expected Results:
.


Reproducible: Always

User Profile Reset: No

Additional Info:


User-Agent: Mozilla/5.0 (X11; Fedora; Linux x86_64; rv:51.0) Gecko/20100101 Firefox/51.0
Comment 1 Commit Notification 2017-03-16 19:58:45 UTC
Atef hares committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=135a9e6ac94f7bf83d1a57a4fb4eab1f66c6d71d

tdf#106369, New feature, Inserting  numbering/bullets format lists

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 Mert Tumer 2017-03-19 11:54:27 UTC
New change lacks the toggle status. Both numbered and bullet buttons should be selected when cursor is on a listed text.
Comment 3 Tomaz Vajngerl 2017-03-19 12:28:35 UTC
Yeah, I noticed that too when finally testing this. It should be easy to fix..
Comment 4 Atef Hares 2017-03-19 16:43:56 UTC
Okay i will work on that ASAP
Comment 5 Johnny_M 2017-03-19 20:04:46 UTC
See also: https://gerrit.libreoffice.org/35427
Comment 6 Atef Hares 2017-03-19 20:28:37 UTC
Great, I hope it is merged soon.
Comment 7 Commit Notification 2017-03-19 21:46:37 UTC
Mert Tumer committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=088fb93a7b178b076d293d15c049132ba2975a26

tdf#106369 added toggle status ability for the list buttons

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 vihsa 2017-05-28 05:27:06 UTC
verified.

version: 5.5.0.0.alpha0+ / build id : 45511d9 / android 5.1